package siprp.higiene.relatorio.print;

import org.jdom.Element;

public class EmpresaToPrint
	implements PrintableInterface
{
	protected String designacaoSocial;
	protected String logotipo;
	protected String estabelecimento;
	protected String actividade;
	protected String nomeAcompanhante;
	protected String funcaoAcompanhante;
	protected String morada;
	
	public EmpresaToPrint( String designacaoSocial, String logotipo,
			String estabelecimento, String actividade, String nomeAcompanhante,
			String funcaoAcompanhante, String morada )
	{
		super();
		this.designacaoSocial = designacaoSocial;
		this.logotipo = logotipo;
		this.estabelecimento = estabelecimento;
		this.actividade = actividade;
		this.nomeAcompanhante = nomeAcompanhante;
		this.funcaoAcompanhante = funcaoAcompanhante;
		this.morada = morada;
	}


	@Override
	public Element toJdomElement() throws Exception
	{
		Element empresaElement = new Element( "empresa" );
		Element designacaoSocialElement = new Element( "designacao-social" );
		designacaoSocialElement.setText( designacaoSocial );
		empresaElement.addContent( designacaoSocialElement );
		Element logotipoElement = new Element( "logotipo" );
		logotipoElement.setText( logotipo );
		empresaElement.addContent( logotipoElement );
		Element estabelecimentoElement = new Element( "estabelecimento" );
		estabelecimentoElement.setText( estabelecimento );
		empresaElement.addContent( estabelecimentoElement );
		Element actividadeElement = new Element( "actividade" );
		actividadeElement.setText( actividade );
		empresaElement.addContent( actividadeElement );
		Element nomeAcompanhanteElement = new Element( "nome-acompanhante" );
		nomeAcompanhanteElement.setText( nomeAcompanhante );
		empresaElement.addContent( nomeAcompanhanteElement );
		Element funcaoAcompanhanteElement = new Element( "funcao-acompanhante" );
		funcaoAcompanhanteElement.setText( funcaoAcompanhante );
		empresaElement.addContent( funcaoAcompanhanteElement );
		if( morada != null )
		{
			Element moradaElement = new Element( "morada" );
			moradaElement.setText( morada );
			empresaElement.addContent( moradaElement );
		}
		return empresaElement;
	}

}
